     local Instants = { 
        [19750] = {'Flash of Light',2,0,},
        [642] = {'Divine Shield',1,0,},
        [1022] = {'Blessing of Protection',1,0,},
        [35395] = {'Crusader Strike',3,0,},
		[85256] = {'Templars Verdict',3,0,},
        [184575] = {'Blade of Justice',5,0,},
		[53385] = {'Divine Storm',7,0,},
        [215661] = {"Justicar's Vengeance",2,0,},
        [205228] = {'Consecration',5,0,},
		[96231] = {'Rebuke',1,0,},
        [853] = {'Hammer of Justice',1,0,},
		[183218] = {'Hammer of Hindrance',1,0,},
        [31884] = {'Avenging Wrath',2,0,},
		[62124] = {'Hand of Reckoning',3,0,},
        [20271] = {'Judgement',3,0,},
		[184662] = {'Shield of Vengeance' ,1,0,},
		[633] = {'Lay on Hands' ,1,0,},
    }
     
   local SoundPath = [[Interface\AddOns\Kayle_Paladin\sounds\]];
     
     local f = CreateFrame('frame');
	local rand_spell = 0;
    f:SetScript('OnEvent', function(self, event, unit, _, spellID)
		if jojodh_sound == 1 then
			if event == 'UNIT_SPELLCAST_CHANNEL_START' and Channeled[spellID] then
				if Channeled[spellID][2] ~= 1 then
					repeat
						rand_spell = math.random(1,Channeled[spellID][2]);
					until rand_spell ~= Channeled[spellID][3];
					Channeled[spellID][3] = rand_spell;
				else
					rand_spell = 1;
				end
				PlaySoundFile(SoundPath .. Channeled[spellID][1] .. '_' .. rand_spell .. '.ogg', 'Music');
			elseif event == 'UNIT_SPELLCAST_SUCCEEDED' and Instants[spellID] then
				if Instants[spellID][2] ~= 1 then
					repeat
						rand_spell = math.random(1,Instants[spellID][2]);
					until rand_spell ~= Instants[spellID][3];
					Instants[spellID][3] = rand_spell;
					else
						rand_spell = 1;
					end
				PlaySoundFile(SoundPath .. Instants[spellID][1] .. '_' .. rand_spell .. '.ogg', 'Music');
				
			elseif event == 'PLAYER_DEAD' then
				PlaySoundFile(SoundPath .. 'DeadSound_' .. math.random(1,3) .. '.ogg', 'Music');
			end
		end
		
	end)

	

     
     f:RegisterUnitEvent('UNIT_SPELLCAST_CHANNEL_START', 'player');
    f:RegisterUnitEvent('UNIT_SPELLCAST_SUCCEEDED', 'player');
    f:RegisterEvent('PLAYER_DEAD');
	
	
	
	local frame = CreateFrame("FRAME");
	frame:RegisterEvent("ADDON_LOADED"); 
	frame:RegisterEvent("PLAYER_LOGOUT");

	function frame:OnEvent(event, arg1)
		if event == "ADDON_LOADED" and arg1 == "Kayle_Paladin" then
			if jojodh_sound == nil then
				print("Thanks for using Kayle_Paladin addon ! Initialisation...");
				print("The addon is ready, enjoy ! (v 2.0.2)");
				jojodh_sound = 1;
			elseif jojodh_sound == 1 then 
				print("Kayle_Paladin is active.");
			elseif jojodh_sound == 0 then
				print("Kayle_Paladin is not active.");
			end
		end
	end
	frame:SetScript("OnEvent", frame.OnEvent);
	SLASH_KAYLESFX1 = "/kaylesfx";

	function SlashCmdList.KAYLESFX(option)
		if option == "on" then
			print("Kayle_Paladin -> activate");
			jojodh_sound = 1;
		elseif option == "off" then
			print("Kayle_Paladin -> desactivate");
			jojodh_sound = 0;
		else
			print("Kayle_Paladin command : /kaylesfx <on-off>");
		end
	end
	
	
	
	
	
	
	
	
	
	